Chamilo LMS - Feature #2912

Delete inactive users (students only) for 2 years
20/02/2011 15:13 - Andre Boivin

Status: New Start date: 20/02/2011

Priority: Normal Due date:

Assignee: % Done: 50%

Category: Estimated time: 0.00 hour

Target version: 3.0 Spent time: 0.00 hour

Complexity: Normal SCRUM pts - ?
complexity:

Description

Here are the scripts used to remove inactive students for 2 years and older. Accessible by admin

Related issues:
Related to Chamilo LMS - Feature #4652: Zombie users management: allow to di... Bug resolved 25/04/2012

Associated revisions

Revision c1a26922 - 06/04/2011 19:22 - Julio Montoya

Adding "deleting inactive users" scripts (no ready for production) see #2912

History

#1 - 06/04/2011 19:24 - Julio Montoya

I'm adding the code here but I'm not adding in the admin/index.php since there are any interface in order that the admin knows what he's deleting ... |
also edited the code ...

http://code.google.com/p/chamilo/source/detail?r=ebbd8132c8698ed0f7d21af6d84de6f5a372697{&repo=classic

#2 - 07/04/2011 10:36 - Julio Montoya
- Status changed from New to Needs more info

- % Done changed from 0 to 50

#3 - 12/04/2011 22:46 - Yannick Warnier

Couldn't this be an additional <action> icon in the users list screen?

#4 - 26/04/2011 00:45 - Yannick Warnier
- Target version changed from 1.8.8 stable to 1.8.8.4

The icon should be something like this (apart from the joke, I'm trying to make a point of the concept -> the icon should tell we are "cleaning" the dead
users, in a funny way)

http://twitpic.com/3pvrmw/full

or even:
http://www.iconfinder.com/icondetails/12706/32/dead_skull_icon

#5 - 25/07/2011 09:38 - Yannick Warnier
- Target version changed from 1.8.8.4 to 1.9 Stable

#6 - 02/05/2012 01:05 - Yannick Warnier

- Target version changed from 1.9 Stable to 1.9 Beta

#7 - 07/06/2012 00:30 - Yannick Warnier
- Target version changed from 1.9 Beta to 1.9 RC1

#8 - 20/07/2012 17:44 - Yannick Warnier

- Status changed from Needs more info to New
http://code.google.com/p/chamilo/source/detail?r=ebbd8132c8698ed0f7d21af6d84de6f5a372697f&repo=classic
http://twitpic.com/3pvrmw/full
http://www.iconfinder.com/icondetails/12706/32/dead_skull_icon

- Target version changed from 1.9 RC1 to 1.9.2

Moving this to 1.9.2. The code is there, but it needs a pretty interface.

#9 - 02/08/2012 00:34 - Yannick Warnier

- Target version changed from 1.9.2 to 2.0

#10 - 31/01/2016 23:13 - Yannick Warnier

- Target version changed from 2.0 to 3.0
